Loading...
Searching...
No Matches
Dune::Simd::Overloads::ScalarType< V, std::enable_if_t< VcImpl::IsVector< V >::value > > Struct Template Reference

should have a member type `type` More...

`#include <dune/common/simd/vc.hh>`

Inheritance diagram for Dune::Simd::Overloads::ScalarType< V, std::enable_if_t< VcImpl::IsVector< V >::value > >:

## Public Types

using | type = typename V::value_type

## Detailed Description

template<class V>
struct Dune::Simd::Overloads::ScalarType< V, std::enable_if_t< VcImpl::IsVector< V >::value > >

should have a member type `type`

Implements Simd::Scalar

## Member Typedef Documentation

## type

template<class V>

using Dune::Simd::Overloads::ScalarType< V, std::enable_if_t< VcImpl::IsVector< V >::value > >::type = typename V::value_type

The documentation for this struct was generated from the following file:

- simd/vc.hh